Heap-based Buffer Overflow in GitHub repository vim/vim prior to 9.0.0102.
Published 2022-08-01 15:15:09
Updated 2022-08-04 23:30:38
Source huntr.dev
View at NVD,   CVE.org
Vulnerability category: Overflow

Exploit prediction scoring system (EPSS) score for CVE-2022-2580

0.07%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 30 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2022-2580

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
7.3
HIGH CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:L/A:H
1.8
5.5
huntr.dev
7.8
HIGH CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
1.8
5.9
NIST

CWE ids for CVE-2022-2580

  • A heap overflow condition is a buffer overflow, where the buffer that can be overwritten is allocated in the heap portion of memory, generally meaning that the buffer was allocated using a routine such as malloc().
    Assigned by: security@huntr.dev (Primary)

References for CVE-2022-2580

Products affected by CVE-2022-2580

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!